Favicon

You are here: Home > API Reference > Windows > Windows Devices Script Logs > Invalidate script (once)

Invalidate script (once)

Required Permission: mdm.windows.deviceScriptLog.invalidate

Invalidate script (once)

POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/invalidate-once
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/invalidate-once" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "mdmAssetId": "string"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/invalidate-once", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "mdmAssetId": "string"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices/{winDeviceId}/script-logs/invalidate-once",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "mdmAssetId": "string"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
winDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Body Params application/json
mdmAssetId string required
Match pattern: ^[a-fA-F0-9]{24}$
{
    "mdmAssetId": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
items array [string] optional
totalCount integer optional
≥ 0
{
    "status": true,
    "data": {
        "items": [
            "string"
        ],
        "totalCount": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}